EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • GET
                    List algorithm definitions
                  • POST
                    Create a algorithm definition
                  • GET
                    Get a algorithm definition
                  • GET
                    List revisions for a algorithm definition
                  • POST
                    Create a revision
                  • POST
                    Create a publication request
                  • POST
                    Create a revocation
                  • POST
                    Create a image ref validation
                  • GET
                    Get a container run
                  • GET
                    List log downloads for a container run
                  • GET
                    List outdated outputs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List workflows for a version
                  • POST
                    Create a workflow backfill
                  • GET
                    List workflow bindings for a project
                  • PUT
                    Update a workflow binding
                  • POST
                    Create a workflow run plan
                  • GET
                    List workflow runs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List recent quality jobs for a me
                  • GET
                    List workflow definitions
                  • POST
                    Create a workflow definition
                  • DELETE
                    Delete a workflow definition
                  • GET
                    Get a workflow definition
                  • PATCH
                    Update a workflow definition
                  • POST
                    Create a revision
                  • GET
                    Get a revision
                  • PUT
                    Update a revision
                  • PUT
                    Update a layout
                  • POST
                    Create a publication
                  • GET
                    Get a workflow run
                  • POST
                    Create a cancellation request
                  • GET
                    List container runs for a workflow run
                  • GET
                    List recordings for a workflow run
                  • POST
                    Create a rerun request
                  • GET
                    List steps for a workflow run
                  • GET
                    Get a workflow step run
                  • POST
                    Create a download session
                  • GET
                    List log tail for a workflow step run
                  • GET
                    List outputs for a workflow step run
                  • POST
                    Create a workflow validation
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Workflows
                              4. Get a workflow step run

                              Get a workflow step run

                              GET
                              /v1/workflow-step-runs/{stepRunId}
                              curl -X GET 'https://api.embodiflow.io/v1/workflow-step-runs/{stepRunId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • stepRunIdstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • statusstringrequired
                                • reasonstring | nullrequired
                                • failureClassstring | nullrequired
                                • exitCodenumber | nullrequired
                                • messagestring | nullrequired
                                • queuedAtstring | nullrequired
                                • startedAtstring | nullrequired
                                • finishedAtstring | nullrequired
                                • dataVersionstring | nullrequired
                                • cacheSourceStepRunIdstring | nullrequired
                                • imageDigeststring | nullrequired
                                • resourcesone of | nullrequired
                                • progressobject | nullrequired
                                • blockedByarray<object>required
                                • etaobject | nullrequired
                                • usageobjectrequired
                                • namespacestring | nullrequired
                                • jobNamestring | nullrequired
                                • itemsarray<StepItemView>required
                                • nodestringrequired
                                  Allowed values
                                  output
                                  input
                                  step
                                • outputStepstring | nullrequired
                                • titlestringrequired
                                • categorystringrequired
                                • levelstring | nullrequired
                                • portsarray<object>required
                                • idstringrequired
                                • workflowRunIdstringrequired
                                • recordingIdstring | nullrequired
                                • stepIdstringrequired
                                • kindstringrequired
                              Response example
                              {
                                "data": {
                                  "status": "string",
                                  "reason": "string",
                                  "failureClass": "string",
                                  "exitCode": 0,
                                  "message": "string",
                                  "queuedAt": "string",
                                  "startedAt": "string",
                                  "finishedAt": "string",
                                  "dataVersion": "string",
                                  "cacheSourceStepRunId": "string",
                                  "imageDigest": "string",
                                  "resources": "string",
                                  "progress": {
                                    "done": 0,
                                    "total": 0,
                                    "message": "string",
                                    "reportedAt": "string"
                                  },
                                  "blockedBy": [
                                    {
                                      "stepId": "string",
                                      "status": "string",
                                      "reason": "string"
                                    }
                                  ],
                                  "eta": {
                                    "secondsPerInputMinute": 0,
                                    "recordingSeconds": 0
                                  },
                                  "usage": {
                                    "cpuSeconds": "string",
                                    "gpuSeconds": "string",
                                    "wallSeconds": "string"
                                  },
                                  "namespace": "string",
                                  "jobName": "string",
                                  "items": [
                                    {
                                      "index": 0,
                                      "episodeIndex": 0,
                                      "startS": 0,
                                      "endS": 0,
                                      "task": "string",
                                      "status": "string",
                                      "failureClass": "string",
                                      "exitCode": 0,
                                      "message": "string",
                                      "checks": {}
                                    }
                                  ],
                                  "node": "output",
                                  "outputStep": "string",
                                  "title": "string",
                                  "category": "string",
                                  "level": "string",
                                  "ports": [
                                    {
                                      "name": "string",
                                      "type": "string",
                                      "hasContent": false
                                    }
                                  ],
                                  "id": "string",
                                  "workflowRunId": "string",
                                  "recordingId": "string",
                                  "stepId": "string",
                                  "kind": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /workflow-runs/{runId}/steps

                              Next

                              POST /workflow-step-runs/{stepRunId}/download-sessions

                              curl -X GET 'https://api.embodiflow.io/v1/workflow-step-runs/{stepRunId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "status": "string",
                                  "reason": "string",
                                  "failureClass": "string",
                                  "exitCode": 0,
                                  "message": "string",
                                  "queuedAt": "string",
                                  "startedAt": "string",
                                  "finishedAt": "string",
                                  "dataVersion": "string",
                                  "cacheSourceStepRunId": "string",
                                  "imageDigest": "string",
                                  "resources": "string",
                                  "progress": {
                                    "done": 0,
                                    "total": 0,
                                    "message": "string",
                                    "reportedAt": "string"
                                  },
                                  "blockedBy": [
                                    {
                                      "stepId": "string",
                                      "status": "string",
                                      "reason": "string"
                                    }
                                  ],
                                  "eta": {
                                    "secondsPerInputMinute": 0,
                                    "recordingSeconds": 0
                                  },
                                  "usage": {
                                    "cpuSeconds": "string",
                                    "gpuSeconds": "string",
                                    "wallSeconds": "string"
                                  },
                                  "namespace": "string",
                                  "jobName": "string",
                                  "items": [
                                    {
                                      "index": 0,
                                      "episodeIndex": 0,
                                      "startS": 0,
                                      "endS": 0,
                                      "task": "string",
                                      "status": "string",
                                      "failureClass": "string",
                                      "exitCode": 0,
                                      "message": "string",
                                      "checks": {}
                                    }
                                  ],
                                  "node": "output",
                                  "outputStep": "string",
                                  "title": "string",
                                  "category": "string",
                                  "level": "string",
                                  "ports": [
                                    {
                                      "name": "string",
                                      "type": "string",
                                      "hasContent": false
                                    }
                                  ],
                                  "id": "string",
                                  "workflowRunId": "string",
                                  "recordingId": "string",
                                  "stepId": "string",
                                  "kind": "string"
                                }
                              }